workspace "roguelike"
    configurations { "debug", "release" }
    location "."

project "roguelike"
    kind "WindowedApp"
    language "C++"
    cppdialect "C++20"
    location "build/"
    buildinputs "../resources/**.*"
    buildoutputs "%{cfg.targetdir}/resources/**.*"
    postbuildcommands "{COPYDIR} ../resources %{cfg.targetdir}"
    files { "src/**.cpp", "vendor/**.cpp" }
    includedirs { "src/", "vendor/" }
    links { "SDL2", "SDL2_image", "m", "SDL2_ttf" }
    targetdir "bin/"
    exceptionhandling "Off"
    filter "configurations:debug"
        defines { "DEBUG" }
        optimize "Off"
        symbols "On"
    filter "configurations:release"
        defines { "NDEBUG" }
        optimize "On"
        symbols "Off"
